
Redmine - Defect #42117

Key-value list reorder icon uses legacy icon

2025-01-17 09:25 - Mizuki ISHIKAWA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.3   

Resolution: Fixed Affected version: 6.0.2

Description

The icon for the reorder button in the key-value list of custom fields should be updated to an SVG icon.

 screenshot 2025-01-17 17.24.35.png 

Associated revisions

Revision 23445 - 2025-01-18 06:21 - Go MAEDA

Fix: Replace legacy reorder icon in Key-value list custom field editor with SVG icon (#42117).

Patch by Mizuki ISHIKAWA (user:ishikawa999).

Revision 23448 - 2025-01-19 06:15 - Go MAEDA

Merged r23445 from trunk to 6.0-stable (#42117).

History

#1 - 2025-01-17 09:27 - Mizuki ISHIKAWA

- File screenshot 2025-01-17 17.24.46.png added

The icon can be updated to an SVG icon with the following changes

diff --git a/app/views/custom_field_enumerations/index.html.erb b/app/views/custom_field_enumerations/index.ht

ml.erb

index 83e9d59c9..bd6651218 100644

--- a/app/views/custom_field_enumerations/index.html.erb

+++ b/app/views/custom_field_enumerations/index.html.erb

@@ -6,7 +6,7 @@

   <ul id="custom_field_enumerations" class="flat">

   <% @custom_field.enumerations.each_with_index do |value, position| %>

     <li>

-      <span class="icon-only icon-sort-handle sort-handle"></span>

+      <%= tag.span(sprite_icon('reorder', ''), :class => 'icon-only icon-sort-handle sort-handle', :title => 

l(:button_move)) %>

       <%= hidden_field_tag "custom_field_enumerations[#{value.id}][position]", position, :class => 'position'

 %>

       <%= text_field_tag "custom_field_enumerations[#{value.id}][name]", value.name, :size => 40 %>

       <%= hidden_field_tag "custom_field_enumerations[#{value.id}][active]", 0 %>
screenshot 2025-01-17 17.24.46.png 

#2 - 2025-01-17 10:23 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to 6.0.3

#3 - 2025-01-18 06:21 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed
Committed the fix in r23445. Thank you.

#4 - 2025-01-19 06:15 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into 6.0-stable branch in r23448.
